Bug 1266923 - RDO's hdf5 rpm/yum dependencies conflicts
RDO's hdf5 rpm/yum dependencies conflicts
Status: CLOSED NOTABUG
Product: RDO
Classification: Community
Component: distribution (Show other bugs)
Kilo
x86_64 Linux
unspecified Severity urgent
: ---
: Kilo
Assigned To: Lars Kellogg-Stedman
yeylon@redhat.com
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 10:14 EDT by lejeczek
Modified: 2016-04-18 02:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 13:41:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2015-09-28 10:14:26 EDT
Description of problem:

sorry, I could not find this component in bugzilla list of components??

dear devel, can you help?

https://bugzilla.redhat.com/show_bug.cgi?id=1266573

many thanks

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 lejeczek 2015-10-07 10:35:50 EDT
is there anybody out there?
this really is a blocker for all those who use RDO and EPEL.
Comment 2 Ben Nemec 2015-10-07 10:55:57 EDT
I'm resetting the assignee on this as I don't know anything about it.

I can say that a more thorough description of the problem would be helpful.  What does the environment look like?  Distro?  Enabled repos (sounds like EPEL and RDO Kilo at least)?  What were you trying to install when you hit the conflict?  Stuff like that.
Comment 3 Lars Kellogg-Stedman 2015-10-07 12:22:08 EDT
I don't see any problem report here.  I'm closing this bug, but feel free to reopen it with additional details.
Comment 4 lejeczek 2015-10-07 12:47:00 EDT
I presume you had a look at link I pasted to the original EPEL bugzilla?
You see OS releases and components that conflict there.

It is enough simply to have both repo enabled and do 'yum update' to hit that collision.

I imagine it might be tricky as many people use EPEL and not that many use RDO.
I understand, like in that other bugreport maintainer suggests would be best, the easiest if RDO provide own netcdf version +deps build with own hdf5.

Or, can we use RDO all main components having openstack-kilo's conflicting packages exluded, will it satisfy with older version of hdf5 +deps?
Comment 5 Lars Kellogg-Stedman 2015-10-07 12:52:52 EDT
See my comments in #1266573.
Comment 6 lejeczek 2015-12-16 06:04:21 EST
this happens again, and will likely keep on happening.
what is the matter? It defeats the sole purpose of having openstack repo.
Guys/Gals can't you put into one repo with EPEL.
You do this hard work so it would be easier for us users then tiny little glitch like this negates it all this work.

--> Finished Dependency Resolution
Error: Package: netcdf-4.3.2-4.el7.x86_64 (@epel/7Everything)
           Requires: hdf5 = 1.8.12
           Removing: hdf5-1.8.12-6.el7.x86_64 (@epel)
               hdf5 = 1.8.12-6.el7
           Updated By: hdf5-1.8.13-7.el7.x86_64 (openstack-kilo)
               hdf5 = 1.8.13-7.el7
Comment 7 hguemar 2015-12-16 13:41:20 EST
We do provide compatible netcdf and hdf5 packages in our own repositories.
http://cbs.centos.org/koji/buildinfo?buildID=419
http://cbs.centos.org/koji/buildinfo?buildID=400

As EPEL is regularly breaking packages (e.g hiera), RDO repositories are self sufficient. EPEL compatibility is best effort and not guaranteed.
You may use legacy RDO repositories, but I strongly recommend using CentOS mirrors (release package is provided in CentOS extras channel).

Note You need to log in before you can comment on or make changes to this bug.